Skip to content

List Custom Fields

GET
/businesses/{businessId}/custom-fields
curl --request GET \
--url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/custom-fields \
--header 'Authorization: Bearer <token>'

List the custom fields defined within a Business. Use the alias of each field as the key in the patient customFields object.

businessId
required
string format: uuid

Business ID

List of Custom Fields

Media typeapplication/json
object
data
Array<object>
CustomField

A custom field that can store additional data on a patient.

object
id
required

Unique identifier across the platform.

string format: uuid
businessId
required

The ID of the Business this resource belongs to.

string format: uuid
createdAt
required

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt
required

Time when the resource was created (ISO 8601 format).

string format: date-time
alias
required

The key used to read and write this field in the patient customFields object.

string
name
required

The display name of the custom field.

string
description

A description of the custom field.

string
fieldType
required

The type of value stored in the field. TEXT, DATE (YYYY-MM-DD) and SELECT values are strings, NUMBER values are numbers and BOOLEAN values are booleans.

string
Allowed values: BOOLEAN DATE NUMBER SELECT TEXT
allowedValues

The values accepted by a SELECT field.

Array<string>
nullable

Example

{
"data": [
{
"fieldType": "BOOLEAN"
}
]
}

The request is invalid.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "Business ID does not match API key"
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The Business does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "BusinessNotFoundError",
"title": "Business not found"
}
}